%global commit 7f7cfeb45b579204e0bc94bea37e2c810d2e5ec9
%global shortcommit %(c=%{commit}; echo ${c:0:7})

# Testsuite is kinda broken, possibly
# https://github.com/Nitrokey/libnitrokey/issues/71
%bcond_with check

Name:           libnitrokey
Version:        3.0
Release:        0.1.20171007git.%{shortcommit}%{?dist}
Summary:        Communicate with Nitrokey stick devices in a clean and easy manner

License:        LGPLv3+
URL:            https://github.com/Nitrokey/libnitrokey
Source0:        %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
# https://github.com/Nitrokey/libnitrokey/pull/68
Patch0001:      0001-build-use-GNUInstallDirs.patch
# Not upstreamable, but asked for upstream solution
# https://github.com/Nitrokey/libnitrokey/issues/69
Patch0002:      0001-build-set-soname.patch
# https://github.com/Nitrokey/libnitrokey/pull/72
Patch0003:      0001-test3.cc-fix-syntax-error.patch

BuildRequires:  cmake >= 3.1
BuildRequires:  gcc-c++
BuildRequires:  hidapi-devel
%if %{with check}
BuildRequires:  catch-devel
%endif

%description
Libnitrokey is a project to communicate with Nitrokey Pro and Storage devices
in a clean and easy manner.

%package devel
Summary:        Development libraries and header files for %{name}
Requires:       %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description devel
This package contains development libraries and header files are needed
to develop using libnitrokey.

%prep
%autosetup -n %{name}-%{commit} -p1
# Remove inttypes.h
rm -vrf include/inttypes.h
sed -i -e "/inttypes.h/d" CMakeLists.txt
# Remove catch
rm -vrf unittest/Catch
sed -i -e "/#include/s|catch\.hpp|catch/catch.hpp|" unittest/*.cpp unittest/*.cc

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
  %cmake \
    -DLIBNITROKEY_STATIC=FALSE \
    -DCOMPILE_TESTS=%{?with_check:TRUE}%{!?with_check:FALSE} \
    ..
popd
%make_build -C %{_target_platform}

%install
%make_install -C %{_target_platform}

%if %{with check}
%check
pushd %{_target_platform}
  ctest -VV
popd
%endif

%files
%license LICENSE
%doc README.md
%{_libdir}/libnitrokey.so.0*

%files devel
%{_libdir}/libnitrokey.so

%changelog
* Sat Oct 07 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.0-0.1.20171007git.7f7cfeb
- Initial package
